To install EdgeDB driver with npm use:

Copy
$ 
npm install edgedb

To install EdgeDB driver with yarn use:

Copy
$ 
yarn add edgedb

If you want to build the EdgeDB driver from a Git checkout you will need:

  • Node.js 10 or above.

  • TypeScript compiler.

  • yarn package manger.

Once the above requirements are satisfied, run the following command in the root of the source checkout:

Copy
$ 
yarn

The testsuite requires a working local installation of the EdgeDB server. To execute the testsuite run:

Copy
$ 
yarn test
Light
Dark
System